#include <iostream>

using namespace std;

int main()
{
    int x,y,pom,res=0,dek=1;
    cin>>x>>y;
    if(x>y)
    {
        pom=x;
        x=y;
        y=pom;
    }
    while(x>0)
    {
        if(x%10>y%10)
        {
            res+=(x%10)*dek;
        }
        else if(x%10<y%10)
        {
            res+=(y%10)*dek;
        }
        else
        {
            res+=(x%10)*10*dek+(y%10)*dek;
            dek*=10;
        }
        y/=10;
        x/=10;
        dek*=10;
    }
    res+=dek*y;
    cout<<res;
    return 0;
}